import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { IReviewRating } from '../review-rating.model';
import { ReviewRatingService } from '../service/review-rating.service';

@Component({
  templateUrl: './review-rating-delete-dialog.component.html',
})
export class ReviewRatingDeleteDialogComponent {
  reviewRating?: IReviewRating;

  constructor(protected reviewRatingService: ReviewRatingService, protected activeModal: NgbActiveModal) {}

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.reviewRatingService.delete(id).subscribe(() => {
      this.activeModal.close('deleted');
    });
  }
}
