import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';

import { UserWatchListDetailComponent } from './user-watch-list-detail.component';

describe('UserWatchList Management Detail Component', () => {
  let comp: UserWatchListDetailComponent;
  let fixture: ComponentFixture<UserWatchListDetailComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      declarations: [UserWatchListDetailComponent],
      providers: [
        {
          provide: ActivatedRoute,
          useValue: { data: of({ userWatchList: { id: 123 } }) },
        },
      ],
    })
      .overrideTemplate(UserWatchListDetailComponent, '')
      .compileComponents();
    fixture = TestBed.createComponent(UserWatchListDetailComponent);
    comp = fixture.componentInstance;
  });

  describe('OnInit', () => {
    it('Should load userWatchList on init', () => {
      // WHEN
      comp.ngOnInit();

      // THEN
      expect(comp.userWatchList).toEqual(expect.objectContaining({ id: 123 }));
    });
  });
});
