import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { UserWatchListComponent } from '../list/user-watch-list.component';
import { UserWatchListDetailComponent } from '../detail/user-watch-list-detail.component';
import { UserWatchListUpdateComponent } from '../update/user-watch-list-update.component';
import { UserWatchListRoutingResolveService } from './user-watch-list-routing-resolve.service';

const userWatchListRoute: Routes = [
  {
    path: '',
    component: UserWatchListComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: UserWatchListDetailComponent,
    resolve: {
      userWatchList: UserWatchListRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: UserWatchListUpdateComponent,
    resolve: {
      userWatchList: UserWatchListRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: UserWatchListUpdateComponent,
    resolve: {
      userWatchList: UserWatchListRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(userWatchListRoute)],
  exports: [RouterModule],
})
export class UserWatchListRoutingModule {}
